Bug 209667 - nfs-utils: rpm.mountd dies since rhel4.3 -> 4.4 upgrade
nfs-utils: rpm.mountd dies since rhel4.3 -> 4.4 upgrade
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: nfs-utils (Show other bugs)
4.4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Layton
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-06 14:45 EDT by Rex Dieter
Modified: 2007-11-16 20:14 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-20 15:10:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2006-10-06 14:45:50 EDT
I'm seeing something similar to bug #206483... but no syslog, rpc.mountd just
mysteriously dies and goes awol.  

The i686 server in question had been running happily for the previous 75 days w/
rhel 4.3... that is until I updated to 4.4 yesterday and rebooted.  rpc.mountd
has died now 5 times since then.

If it's relavent, we're using NIS, but not netgroups.
Comment 1 Steve Dickson 2006-10-09 10:00:13 EDT
Install the rpms from http://people.redhat.com/steved/bz209121/. If
the problem still exists, either have rpc.mountd create a core
file by setting the core file size via ulimit -c unlimited or 
start rpc.mountd from within gdb using the '-f' as a command arg.
The goal being to get a backtrace of where the problem starts.
Comment 2 Rex Dieter 2006-10-09 10:05:38 EDT
Taking a hint from the CentOS mailing list, where others were having problems
with nscd (crashing, etc...), I disabled nscd, and haven't had an rpm.mountd
crash yet.  *crosses fingers*.
Comment 3 Jeff Layton 2007-07-20 07:52:27 EDT
I've not heard of any other reports of this. Is this still an issue?
Comment 4 Jeff Layton 2007-07-20 07:55:47 EDT
This may be a dupe of BZ 242465. I've already committed the patch below for 4.6:

http://sourceforge.net/tracker/index.php?func=detail&aid=1157791&group_id=14&atid=100014

I'll see if I can put some nfs-utils packages up on my peoplepage here soon for
you to test...
Comment 5 Jeff Layton 2007-07-20 14:56:35 EDT
I've placed some RHEL4 nfs-utils packages on my people page:

http://people.redhat.com/jlayton

If you're still able to reproduce this, could you test them someplace
non-critical and let me know if the problem still exists?
Comment 6 Rex Dieter 2007-07-20 15:02:29 EDT
I've never had any problems since disabling nscd (see comment #2).
Comment 7 Rex Dieter 2007-07-20 15:06:19 EDT
Afaic, issue is resolved.  (hmm, it wouldn't let me close...)

I have nowhere (non-critical) to test your experimental nfs-utils pkgs atm, but
if I get a chance to... I'll come back here and report.
Comment 8 Jeff Layton 2007-07-20 15:10:24 EDT
Fair enough. I'll close this with a resolution of INSUFFICIENT_DATA. If the
problem resurfaces then please reopen this case.

Note You need to log in before you can comment on or make changes to this bug.